Upstash Documentation

Get a Schedule

Get details of a specific schedule
1 min read
get/v2/schedules/{scheduleId}
Request example
Response
get/v2/schedules/{scheduleId}

Authorization

Authorizationstringheaderrequired#
QStash authentication token

1 alternative authorization method available — see the spec for details.

Path parameters

scheduleIdstringrequired#
The ID of the schedule to retrieve.

Responses

application/json
scheduleIdstringrequired#
Unique identifier for the schedule
cronstringrequired#
The cron expression used to schedule the message
destinationstringrequired#
The destination URL or URL Group name
createdAtintegerrequired#
The creation timestamp of the schedule in unix milliseconds
methodstringrequired#
The HTTP method used for the scheduled message
headerobject#
Map of header names to arrays of header values
Show child attributes
{key}string[]#
bodystring#
The body of the scheduled message
retriesinteger#
The number of retries for the scheduled message
delayinteger#
The delay in seconds before the scheduled message is sent
callbackstring#
The callback URL for the scheduled message
failureCallbackstring#
The failure callback URL for the scheduled message
callerIpstring#
The IP address of the client that created the schedule
isPausedbooleanrequired#
Whether the schedule is paused
flowControlKeystring#
The flow control key used for rate limiting
parallelisminteger#
The parallelism value used for flow control
rateinteger#
The rate value used for flow control
periodinteger#
The period value used for flow control
retryDelayExpressionstring#
The retry delay expression used for calculating retry delays
labelstringdeprecated#
The label assigned to the scheduled message. Deprecated in favor of labels.
labelsstring[]#
The list of labels assigned to the scheduled message.
lastScheduleTimeinteger#
The last time the schedule was triggered in unix milliseconds
nextScheduleTimeinteger#
The next scheduled trigger time in unix milliseconds
lastScheduleStatesobject#
The states of the last scheduled messages
Show child attributes
{key}string#